[VOTE] Release Apache Groovy 2.4.15

classic Classic list List threaded Threaded
12 messages Options
12
Reply | Threaded
Open this post in threaded view
|

[VOTE] Release Apache Groovy 2.4.15

paulk_asert

Dear development community,

I am happy to start the VOTE thread for a Groovy 2.4.15 release! This is mainly to fix a regression in calling static methods in interfaces. We were trying to improve the JDK9 experience but on the 2.4 branch it caused existing functionality to be impacted even on JDK8.

This release includes 6 bug fixes/improvements as outlined in the changelog:

Tag commit id: 067f3d3f3ec660ceb86f6bf0ce38c4dfcef5c11c

The artifacts to be voted on are located as follows (r25897).

Release artifacts are signed with a key from the following file:

Please vote on releasing this package as Apache Groovy 2.4.15.

Reminder on ASF release approval requirements for PMC members:
Hints on validating checksums/signatures (but replace md5sum with sha256sum):

The vote is open for the next 72 hours and passes if a majority of at least three +1 PMC votes are cast.

[ ] +1 Release Apache Groovy 2.4.15
[ ]  0 I don't have a strong opinion about this, but I assume it's ok
[ ] -1 Do not release Apache Groovy 2.4.15 because...

Here is my vote:

+1 (binding)

Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Groovy 2.4.15

Daniel Sun
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Groovy 2.4.15

Guillaume Laforge
Administrator
+1

My smoke test (on JDK 8) went fine.
Nothing special to report.

Guillaume


On Fri, Mar 23, 2018 at 8:55 AM, Daniel Sun <[hidden email]> wrote:
+1

Cheers,
Daniel.Sun



--
Sent from: http://groovy.329449.n5.nabble.com/Groovy-Dev-f372993.html



--
Guillaume Laforge
Apache Groovy committer & PMC Vice-President
Developer Advocate @ Google Cloud Platform

Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Groovy 2.4.15

Jochen Theodorou
In reply to this post by paulk_asert


Am 23.03.2018 um 08:04 schrieb Paul King:

>
> Dear development community,
>
> I am happy to start the VOTE thread for a Groovy 2.4.15 release! This is
> mainly to fix a regression in calling static methods in interfaces. We
> were trying to improve the JDK9 experience but on the 2.4 branch it
> caused existing functionality to be impacted even on JDK8.
>
> This release includes 6 bug fixes/improvements as outlined in the changelog:
> https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12318123&version=12342853

wait... the upgrade to asm 6 was missing on 2.4.x.... I really thought I
had checked that. I am puzzled. Or was it undone at some point? Maybe
because it was not 6.0 final yet? I guess next time I should check the
release dependencies as well ;)

Anyway +1

bye Jochen
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Groovy 2.4.15

paulk_asert
We temporarily reverted the ASM change but that ended up not being the problem, so I put it back the same as in 2.4.14.
The problem was that there was no Java8 plugin for 2_4_X so neither the code fixes from GROOVY-8338 nor the respective test ran - fixed now with an empty(*) Java8 plugin for 2_4_X.
(*) just returns the java version

Cheers, Paul.

On Fri, Mar 23, 2018 at 9:10 PM, Jochen Theodorou <[hidden email]> wrote:


Am 23.03.2018 um 08:04 schrieb Paul King:

Dear development community,

I am happy to start the VOTE thread for a Groovy 2.4.15 release! This is mainly to fix a regression in calling static methods in interfaces. We were trying to improve the JDK9 experience but on the 2.4 branch it caused existing functionality to be impacted even on JDK8.

This release includes 6 bug fixes/improvements as outlined in the changelog:
https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12318123&version=12342853

wait... the upgrade to asm 6 was missing on 2.4.x.... I really thought I had checked that. I am puzzled. Or was it undone at some point? Maybe because it was not 6.0 final yet? I guess next time I should check the release dependencies as well ;)

Anyway +1

bye Jochen

Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Groovy 2.4.15

Daniel.Sun
3 votes from PMC members have been collected :)

Cheers,
Daniel.Sun



--
Sent from: http://groovy.329449.n5.nabble.com/Groovy-Dev-f372993.html
Daniel Sun
Apache Groovy committer

Blog: http://blog.sunlan.me
Twitter: @daniel_sun
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Groovy 2.4.15

Jochen Theodorou
In reply to this post by paulk_asert


Am 23.03.2018 um 12:47 schrieb Paul King:
> We temporarily reverted the ASM change but that ended up not being the
> problem, so I put it back the same as in 2.4.14.
> The problem was that there was no Java8 plugin for 2_4_X so neither the
> code fixes from GROOVY-8338 nor the respective test ran - fixed now with
> an empty(*) Java8 plugin for 2_4_X.
> (*) just returns the java version

ahhh ;) Now that clears the confusion. Thanks

bye Jochen
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Groovy 2.4.15

paulk_asert
In reply to this post by Daniel.Sun
Yep, thanks everyone for the fast response!
But we still need to wait the 3 days as per Apache voting guidelines.
Just a reminder: a subsequent -1 vote would cancel out one of the already cast +1 votes.

Cheers, Paul.

On Fri, Mar 23, 2018 at 10:40 PM, Daniel.Sun <[hidden email]> wrote:
3 votes from PMC members have been collected :)

Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Groovy 2.4.15

Cédric Champeau
In reply to this post by paulk_asert
+1

2018-03-23 8:04 GMT+01:00 Paul King <[hidden email]>:

Dear development community,

I am happy to start the VOTE thread for a Groovy 2.4.15 release! This is mainly to fix a regression in calling static methods in interfaces. We were trying to improve the JDK9 experience but on the 2.4 branch it caused existing functionality to be impacted even on JDK8.

This release includes 6 bug fixes/improvements as outlined in the changelog:

Tag commit id: 067f3d3f3ec660ceb86f6bf0ce38c4dfcef5c11c

The artifacts to be voted on are located as follows (r25897).

Release artifacts are signed with a key from the following file:

Please vote on releasing this package as Apache Groovy 2.4.15.

Reminder on ASF release approval requirements for PMC members:
Hints on validating checksums/signatures (but replace md5sum with sha256sum):

The vote is open for the next 72 hours and passes if a majority of at least three +1 PMC votes are cast.

[ ] +1 Release Apache Groovy 2.4.15
[ ]  0 I don't have a strong opinion about this, but I assume it's ok
[ ] -1 Do not release Apache Groovy 2.4.15 because...

Here is my vote:

+1 (binding)


Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Groovy 2.4.15

Graeme Rocher-2
In reply to this post by paulk_asert
+1

On 23 Mar 2018, at 08:04, Paul King <[hidden email]> wrote:


Dear development community,

I am happy to start the VOTE thread for a Groovy 2.4.15 release! This is mainly to fix a regression in calling static methods in interfaces. We were trying to improve the JDK9 experience but on the 2.4 branch it caused existing functionality to be impacted even on JDK8.

This release includes 6 bug fixes/improvements as outlined in the changelog:

Tag commit id: 067f3d3f3ec660ceb86f6bf0ce38c4dfcef5c11c

The artifacts to be voted on are located as follows (r25897).

Release artifacts are signed with a key from the following file:

Please vote on releasing this package as Apache Groovy 2.4.15.

Reminder on ASF release approval requirements for PMC members:
Hints on validating checksums/signatures (but replace md5sum with sha256sum):

The vote is open for the next 72 hours and passes if a majority of at least three +1 PMC votes are cast.

[ ] +1 Release Apache Groovy 2.4.15
[ ]  0 I don't have a strong opinion about this, but I assume it's ok
[ ] -1 Do not release Apache Groovy 2.4.15 because...

Here is my vote:

+1 (binding)


12